﻿$packageName = 'icaros'
$version = '3.0.2_b2'
$installerType = 'EXE'
$sha256 = '22CC9D359361BCB8DD5B5FA752FC9113CD4AE483C79E8138352056E5F9710503'
$silentArgs = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'

$downloadUrl = 
    Invoke-WebRequest -Uri "http://www.videohelp.com/download/Icaros_v$version.exe" -UseBasicParsing |
    select -ExpandProperty Links |
    ? { $_ -like "*Icaros_v$version*" } |
    select -First 1 -ExpandProperty href

Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$downloadUrl" -checksum "$sha256" -checksumType 'sha256'
